<template>
  <b-sidebar
    type="is-light"
    open
    :can-cancel="false"
    :right="true"
  >
    <div class="p-1">
      <kalendar />
      <template v-if="$store.getters.isLogged">
        <stars size="small" />
        <clans-rank />
        <rankings />
      </template>
    </div>
  </b-sidebar>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';

import Kalendar from '@/components/layout/sidebar/Kalendar.vue';
import Stars from '@/components/layout/sidebar/Stars.vue';
import ClansRank from '@/components/layout/sidebar/ClansRank.vue';
import Rankings from '@/components/layout/sidebar/Rankings.vue';

@Component({
  components: { Kalendar, Stars, ClansRank, Rankings }
})
export default class Sidebar extends Vue { }
</script>

<style lang="scss">
.p-1 {
  padding: 1rem;
  & > div {
    border-bottom: $k-border;
    padding: 1rem 0;
  }
}

.sidebar-content {
  height: 100%;
  background-color: darken($grey-lightest, 10);

  h1 {
    @extend .first-letter-colored;
    @extend .is-capitalized;
    @extend .has-text-centered;
    @extend .mb-3;
  }
}
</style>
